VectorLinux
November 28, 2014, 09:46:19 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: 2.6.22.2 on vectur linux soho-5.1  (Read 4150 times)
ankscorek
Member
*
Posts: 7


« on: October 22, 2007, 02:11:05 am »

helo

im using vl-5.1

i upgraded to 2.6.22.2 by using the config file of slackware-12.0

however at boot time the customised vl gets stuck up at "updating shared libraries"

can some1 help me out with it
Logged
MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #1 on: October 22, 2007, 04:00:08 am »

You might try the config file for SOHO 5.1.x instead or even 5.8. There are significant differences between Slackware and VL, I believe, in this regard.
HTH,
Mike
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
ankscorek
Member
*
Posts: 7


« Reply #2 on: October 22, 2007, 11:12:46 am »

if i try for 5.1 it gives kernel panic

at;east slackware got me till updating libraries

pl help
Logged
MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #3 on: October 23, 2007, 09:24:21 am »

Are you still able to boot with the original kernel (2.6.11 I believe) for 5.1.x?

Did you go over all the various option in menuconfig (or gconfig or xconfig) to make sure that everything was set correctly? I know that is a pain to do but in your situation it obviously needs to be done.

When you ran
Code:
make menuconfig
for 2.6.22.2 were there any errors or lines indicating non-existing options? There should've been a lot of them and sometimes you may find that very little is actually selected to be built. (If you just import a config file that is 11 subversions different and then build your kernel, especially a config from a different distro, then you will get a broken OS.)

Thus I would recommend that you restart the process for kernel 2.6.22.2 and after importing a config file that you know works with VL SOHO 5.1.x review the (hundreds) of options to make sure that all at least looks okay then rebuild your custom kernel. If you are not actually customizing anything and just want a 2.6.22.2 kernel then you could skip the config importing, open the working config file for VL 5.1 in an editor and make sure all the selected built-in and module options are selected. (This could be a bit confusing as there are many changes between 2.6.11 and 2.6.22. Also it may take a lot of time to do it that way.)

BTW what is the size of your customized kernels built with the slack 12 config and the VL 5.1 config?
« Last Edit: October 23, 2007, 09:25:54 am by mikecindi » Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
ankscorek
Member
*
Posts: 7


« Reply #4 on: October 23, 2007, 10:50:57 am »

that gets me back to square1
Logged
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #5 on: October 23, 2007, 11:03:08 am »

that gets me back to square1
Thats the best place to start, Isnt it?
maybe you should try doing a diff on the kernel config that is working and the ones that arent.
also look in /etc/rc.d/rc.M for "updating shared libraries" and see whats after it. I doubt ldconfig would keep the system from booting

HTH,
Uelsk8s
Logged
ankscorek
Member
*
Posts: 7


« Reply #6 on: October 23, 2007, 06:26:29 pm »

i tried at east 80 times what has been suggested by miki then i posted here

any how i will look into /etc/rc.d/rc.M

ty for the help

i will get back with the results
Logged
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!